public static interface ControlBusEndpointBuilderFactory.ControlBusBuilders
| Modifier and Type | Method and Description |
|---|---|
default ControlBusEndpointBuilderFactory.ControlBusEndpointBuilder |
controlbus(String path)
Control Bus (camel-controlbus)
Manage and monitor Camel routes.
|
default ControlBusEndpointBuilderFactory.ControlBusEndpointBuilder |
controlbus(String componentName,
String path)
Control Bus (camel-controlbus)
Manage and monitor Camel routes.
|
default ControlBusEndpointBuilderFactory.ControlBusEndpointBuilder controlbus(String path)
controlbus:command:language
Path parameter: command (required)
Command can be either route or language
There are 2 enums and the value can be one of: route, language
Path parameter: language
Allows you to specify the name of a Language to use for evaluating
the message body. If there is any result from the evaluation, then
the result is put in the message body.
There are 19 enums and the value can be one of: bean, constant, el,
exchangeProperty, file, groovy, header, jsonpath, mvel, ognl, ref,
simple, spel, sql, terser, tokenize, xpath, xquery, xtokenizepath - command:languagedefault ControlBusEndpointBuilderFactory.ControlBusEndpointBuilder controlbus(String componentName, String path)
controlbus:command:language
Path parameter: command (required)
Command can be either route or language
There are 2 enums and the value can be one of: route, language
Path parameter: language
Allows you to specify the name of a Language to use for evaluating
the message body. If there is any result from the evaluation, then
the result is put in the message body.
There are 19 enums and the value can be one of: bean, constant, el,
exchangeProperty, file, groovy, header, jsonpath, mvel, ognl, ref,
simple, spel, sql, terser, tokenize, xpath, xquery, xtokenizecomponentName - to use a custom component name for the endpoint
instead of the default namepath - command:languageApache Camel